proxies:
- name: "wg-out"
  type: socks5
  server: 127.0.0.1
  port: 40000
  dialer-proxy: vless-out
  udp: true

- name: "vless-out"
  type: vless
  server: de3-i.hiva-service.com
  port: 4430
  dialer-proxy: hy2-out
  uuid: base64password
  udp: true
  packet-encoding: xudp
  tls: false
  network: grpc
  grpc-opts:
    grpc-service-name: graphql

- name: "hy2-out"
  type: hysteria2
  server: de3-i.hiva-service.com
  port: 2083
  password: HivaService
  obfs: salamander
  obfs-password: NoFirewall
  sni: www.tradingview.com
  skip-cert-verify: true
  alpn:
    - h3

proxy-groups:
- name: PROXY
  type: select
  proxies:
    - wg-out

rules:
- MATCH,PROXY
- GEOSITE,category-ir,DIRECT
- GEOIP,private,DIRECT

dns:
  enable: true
  default-nameserver:
    - 8.8.8.8
    - 1.1.1.1
  nameserver:
    - 8.8.8.8
    - 1.1.1.1